﻿/*  ----------------------------------------------------------------------------
 *  Emergint Technologies, Inc.
 *  ----------------------------------------------------------------------------
 *  Epi Info™ - Web Analysis & Visualization
 *  ----------------------------------------------------------------------------
 *  File:       ICanvasDao.cs
 *  Namespace:  Ewav.DAL    
 *
 *  Author(s):  Daniel Shorter, Mohammad Usman, Ninad Date, Sachin Agnihotri 
 *  Created:    26/08/2013    
 *  Summary:	no summary     
 *  ----------------------------------------------------------------------------
 */
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;

// -----------------------------------------------------------------------
// <copyright file="$safeitemrootname$.cs" company="$registeredorganization$">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------
namespace Ewav.DAL
{
    public interface ICanvasDao
    {
        string ConnectionString { get; set; }
        string TableName { get; set; }
        void DeleteCanvas(int canvasId);

        DataSet LoadCanvas(int canvasId);

        DataSet LoadCanvasListForUser(int UserId);

        DataSet ReadAllUsersInMyOrg(int orgId);

        int Save(CanvasDto canvasDto);

        void ShareCanvas(int CanvasId, List<int> SharedUserIdList);

        void Update(CanvasDto canvasDto);

        DataSet ExportData(string dsName, int lowerThreshold, int upperThreshold);
    }
}