﻿/*  ----------------------------------------------------------------------------
 *  Emergint Technologies, Inc.
 *  ----------------------------------------------------------------------------
 *  Epi Info™ - Web Analysis & Visualization
 *  ----------------------------------------------------------------------------
 *  File:       ICanvasServiceAgent.cs
 *  Namespace:  Ewav.Services    
 *
 *  Author(s):  Daniel Shorter, Mohammad Usman, Ninad Date, Sachin Agnihotri 
 *  Created:    26/08/2013    
 *  Summary:	no summary     
 *  ----------------------------------------------------------------------------
 */
using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Ewav.Web.Services;
using System.Collections.Generic;

namespace Ewav.Services
{
    public interface ICanvasServiceAgent
    {
        void SaveCanvas(CanvasDto canvasDto, Action<int,Exception> completed);

        void LoadCanvas(int canvasId, Action<CanvasDto, Exception> completed);

        void LoadCanvasForUserList(int UserId, Action<DatatableBag, Exception> completed);

        void ShareCanvas(int canvasId, List<int> sharedUserIds, Action<bool, Exception> completed);

        void ReadAllUsersInMyOrg(int orgId, Action<DatatableBag, Exception> completed);

        void DeleteCanvas(int canvasId, Action<bool, Exception> completed);
    }
}